Skip to main content
PATCH
/
tags
/
{org}
/
{resource_type}
/
{resource_id}
Update tags
curl --request PATCH \
  --url https://app.kosli.com/api/v2/tags/{org}/{resource_type}/{resource_id} \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "set_tags": {},
  "remove_tags": [
    "<string>"
  ]
}
'
{
  "message": "<string>",
  "errors": {}
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

resource_type
string
required
resource_id
string
required
org
string
required

Body

application/json
set_tags
Set Tags · object

Dictionary of key-value tags to be added or updated

remove_tags
string[] | null

List of tag keys to be removed

Response

Successful Response

Last modified on April 9, 2026